// MyOcean class definition,  describes a square array of TriState buttons
//                            for the players ships
// Copyright (C) 01.09.97 Marco Dettori and Oliver Obst
//
// $Id: myocean.h,v 0.2 1998/03/16 10:31:42 oliver Exp $

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

#ifndef MYOCEAN_H
#define MYOCEAN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qwidget.h>

#include "ocean.h"

class MyOcean : public Ocean
{
        Q_OBJECT
public:
        MyOcean( char sql=0, char ships=0, char *lengths=0, char stlen = 11,
                 QWidget *parent=0, const char *name=0 );

       
protected:
        bool    checkShip( short id1, short id2, char l );
        void    setShip( short id1, short id2, char l );
        int     survivors( int id );
        
        char    len, num;
        char    *length;
        short   first, ship;

public slots:
        void    reset();
        void    clearWater();
        void    peek( int id );
        
protected slots:
        void    handleClick();
        void    setNext();

signals:
        void    ready();
        void    shipReady( int );
        void    reporter( int id, int result );
};
        
#endif MYOCEAN_H
